## org.biojava.bridge.Biocorba.Seqcore
Class PrimarySeqIteratorImpl

    java.lang.Object
      |
      +--org.biojava.bridge.GNOME.UnknownImpl
            |
            +--org.biojava.bridge.Biocorba.Seqcore.PrimarySeqIteratorImpl

public class PrimarySeqIteratorImpl
extends UnknownImpl
implements _PrimarySeqIterator_Operations

Constructor Summary
`PrimarySeqIteratorImpl(SequenceIterator si)`

Method Summary
`boolean` `has_more(org.omg.CORBA.portable.ObjectImpl primarySeqIterator)`
`PrimarySeq` `next(org.omg.CORBA.portable.ObjectImpl primarySeqIterator)`

Methods inherited from class org.biojava.bridge.GNOME.UnknownImpl
`query_interface, ref, unref`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### PrimarySeqIteratorImpl

    public PrimarySeqIteratorImpl(SequenceIterator si)

Method Detail

### next

    public PrimarySeq next(org.omg.CORBA.portable.ObjectImpl primarySeqIterator)
                    throws EndOfStream,
                           UnableToProcess

  Specified by:
    next in interface _PrimarySeqIterator_Operations

### has_more

    public boolean has_more(org.omg.CORBA.portable.ObjectImpl primarySeqIterator)

  Specified by:
    has_more in interface _PrimarySeqIterator_Operations